curl --request GET \
--url https://api.dimedove.com/v1/apps/{app_id}/conversations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dimedove.com/v1/apps/{app_id}/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dimedove.com/v1/apps/{app_id}/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"created_at": 123,
"object": "conversation",
"external_user_id": "<string>",
"title": "<string>",
"generated_title": {
"en-ca": "<generated title in English>",
"fr-ca": "<generated title in French>"
},
"metadata": {}
}
],
"object": "list",
"first_id": "<string>",
"last_id": "<string>",
"has_more": false
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}List conversations
Returns a paginated list of all conversations for the specified app. Supports cursor-based pagination with configurable sort order.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the app.
Query Parameters
Maximum number of conversations to return. Range: 1-100.
A cursor for forward pagination. Returns conversations created after the conversation with this ID.
A cursor for backward pagination. Returns conversations created before the conversation with this ID.
Sort order by creation time. Either 'asc' or 'desc'.
Response
OK
The array of conversation objects for the current page.
Show child attributes
Show child attributes
The object type. Always 'list'.
The ID of the first conversation in the returned page. Null if the list is empty.
The ID of the last conversation in the returned page. Null if the list is empty.
Whether there are additional conversations beyond this page. Use the 'after' or 'before' query parameters to paginate.

